#
# spec file for package rubygem-fog-core
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-fog-core
Version:        2.3.0
Release:        1.9
%define mod_name fog-core
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/fog/fog-core
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Shared classes and tests for fog providers and services
License:        MIT
Group:          Development/Languages/Ruby

%description
Shared classes and tests for fog providers and services.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.md README.md changelog.md" \
  -f

%gem_packages

%changelog
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.0
  see installed changelog.md
  2.3.0 03/08/2022
  ==========================================================
  - fix v2.2.4 changelog
  - bump actions/stale
  - bump actions/checkout
  - avoid loading unnecessary service via autoload
  - update ruby.yml
  - continue tests dispite head errors
  - bump actions/checkout
  - bump formatador requirement
  - utilize reusable actions workflows
  - bump reusable actions
  - fix cache test for ruby 3.1+
  - tweak format of reusable workflows
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.4
  see installed changelog.md
  2.2.4 04/28/2020
  ==========================================================
  Add FOG_DEBUG in addition to DEBUG to allow avoiding namespace collisions
  Add github actions configuration
  Update succeeds helper to expected syntax for ruby 3+
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.3
  see installed changelog.md
  2.2.3 09/16/2020
  ==========================================================
  Fix provider lookup to properly symbolize newly underscored names
  2.2.2 09/15/2020
  ==========================================================
  Fix #underscore name to be class method (instead of instance method)
  2.2.1 09/15/2020
  ==========================================================
  - Change to verify_host_key never in ssh/scp if supported
  - Allow either downcased and underscored provider names for broader compatability
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.0
  see installed changelog.md
  2.2.0 12/17/2019
  ==========================================================
  - Add explanation for service/provider format deprecation.
  - Fix formatting of changelog
  - Better logging around required providers for easier debugging.
  - bump excon version
  - add bundler gem tasks
* Wed Sep  5 2018 coolo@suse.com
- updated to version 2.1.2
  see installed changelog.md
  2.1.2 09/04/2018
  ==========================================================
  fix typo in ssh options handling
  2.1.1 09/04/2018
  ==========================================================
  deprecate attributes not defined by DSL
  fix path_prefix warnings
  update to enforce best practices
  extract parts of ssh to private methods
  deprecate wrong provider names
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 2.1.0
  see installed changelog.md
* Tue Jan  9 2018 coolo@suse.com
- updated to version 2.0.0
  see installed changelog.md
  2.0.0 01/03/2017
  ==========================================================
  fix association reload
  drop ruby <2 support
  fix net-ssh usage
  add mime-type dependency
* Thu Aug  3 2017 coolo@suse.com
- updated to version 1.45.0
  see installed changelog.md
  1.45.0 08/01/2017
  ==========================================================
  remove xmlrpc requirement/usage
  fix for nested const across ruby versions
  remove array#sample usage for legacy ruby compatibility
  simplify uniq for cache and fix for legacy ruby
  remove debugging puts from cache
  tweak tins version for 1.9
  loosen 2.1.x travis config to 2.1
  add 1.9 compatible term-ansicolor
  fix rubocop for 1.9.3
  enable metadata for cache
  add specs for server#sshable
  add exponential backoff for server#sshable?
  add server#ready? to base server for clarity
  bump excon dependency
* Tue May 30 2017 coolo@suse.com
- updated to version 1.44.3
  see installed changelog.md
  1.44.3 05/25/2017
  ==========================================================
  fix cache when no home directory defined
* Tue May 23 2017 coolo@suse.com
- updated to version 1.44.2
  see installed changelog.md
  1.44.2 05/18/2017
  ==========================================================
  fix homedirectory usage for caching
  1.44.1 05/01/2017
  ==========================================================
  remove xml-rpc dependency (as it is causing issues)
  1.44.0 04/28/2017
  ==========================================================
  add basic caching support
* Thu Sep 29 2016 coolo@suse.com
- updated to version 1.43.0
  see installed changelog.md
  1.43.0 09/28/2016
  ==========================================================
  fix digitalocean compatibility
  update README badges
* Thu Jul  7 2016 coolo@suse.com
- updated to version 1.42.0
  see installed changelog.md
  1.42.0 07/05/2016
  ==========================================================
  make namespace detection fix 1.8.x compatible
* Tue Jul  5 2016 coolo@suse.com
- updated to version 1.41.0
  see installed changelog.md
  1.41.0 07/01/2016
  ==========================================================
  bump as 1.40.1 is not showing up in some cases
* Wed Jun 29 2016 coolo@suse.com
- updated to version 1.40.1
  see installed changelog.md
  1.40.1 06/28/2016
  ==========================================================
  fix namespace constant detection
* Sat May 21 2016 coolo@suse.com
- updated to version 1.40.0
  see installed changelog.md
  1.40.0 05/19/2016
  ==========================================================
  add minitest helpers for schema (parity to shindo)
  1.39.0 05/11/2016
  ==========================================================
  cleanup warnings
  add NFV module
  only dup frozen strings
* Thu Apr 21 2016 coolo@suse.com
- updated to version 1.38.0
  see installed changelog.md
  1.38.0 04/20/2016
  ==========================================================
  more specific service not found error
  fix string freeze issue for ruby 2.3
  bump excon dep
* Wed Apr  6 2016 coolo@suse.com
- updated to version 1.37.0
  see installed changelog.md
* Wed Feb 24 2016 coolo@suse.com
- updated to version 1.36.0
  see installed changelog.md
* Wed Nov 25 2015 coolo@suse.com
- updated to version 1.35.0
  see installed changelog.md
  1.34.0 11/24/2015
  ==========================================================
  make mime/types require optional
  1.34.0 11/16/2015
  ==========================================================
  make net/ssh and net/scp requires optional
  1.33.0 11/15/2015
  ==========================================================
  relax net/ssh and net/scp requirement
* Mon Nov 23 2015 coolo@suse.com
- updated to version 1.34.0
  see installed changelog.md
* Mon Nov 16 2015 coolo@suse.com
- updated to version 1.33.0
  see installed changelog.md
* Thu Aug 13 2015 coolo@suse.com
- updated to version 1.32.1
  see installed changelog.md
  1.32.1 08/12/2015
  ==========================================================
  expose identities in models
* Fri Jul  3 2015 coolo@suse.com
- updated to version 1.32.0
  see installed changelog.md
  1.32.0 07/02/2015
  ==========================================================
  fix/refactor service initializers
* Thu Jun 18 2015 coolo@suse.com
- updated to version 1.31.1
  see installed changelog.md
  1.31.1 06/17/2015
  ==========================================================
  fixes around unknown providers/services
  1.31.0 06/17/2015
  ==========================================================
  use relative paths
  add digital ocean examples
  reinstate baremetal
  add softlayer examples
  add digital ocean v2 support
  setup fog model equality to check identities (if available)
  use Fog.interval in wait_for
  reduce memory footprint
  fix account handling
* Sun Apr  5 2015 coolo@suse.com
- updated to version 1.30.0
* Fri Feb 20 2015 coolo@suse.com
- updated to version 1.29.0
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.28.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jun  2 2014 tboerger@suse.com
- Initial packaging of version 1.22.0
